List donation filters
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donations/filters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donations/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donations/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"fields": [
{
"param": "amount_cents",
"label": "Amount",
"kind": "number",
"values": null,
"custom": false
},
{
"param": "cf_tribute_name",
"label": "In memory of",
"kind": "text",
"values": null,
"custom": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Donations
List donation filters
The extra filters the donation list accepts beyond person, campaign, status, type and date: the fixed ones and one for each of your own donation fields. Needs read on Fundraising.
GET
/
api
/
fundraising
/
donations
/
filters
List donation filters
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/donations/filters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/donations/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/donations/filters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"fields": [
{
"param": "amount_cents",
"label": "Amount",
"kind": "number",
"values": null,
"custom": false
},
{
"param": "cf_tribute_name",
"label": "In memory of",
"kind": "text",
"values": null,
"custom": true
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}